BambooHR (OAuth)

Integrate your application with the BambooHR API

🚀 Quickstart

Connect to BambooHR (OAuth) with Tenklo and see data flow in 2 minutes.

Create the integration

In Tenklo (free signup), go to Integrations -> Configure New Integration -> BambooHR (OAuth).

BambooHR requires a subdomain for authentication. You'll need to provide your BambooHR subdomain when creating connections.

Authorize BambooHR (OAuth)

Go to Connections -> Add Test Connection -> Authorize, then enter your BambooHR subdomain and log in to BambooHR. Later, you'll let your users do the same directly from your app.

Call the BambooHR API

Let's make your first request to the BambooHR API (fetch employees information). Replace the placeholders below with your Environment API key, integration ID, and connection ID:

curl -X POST "https://api.tenklo.dev/proxy/v1/reports/custom?format=JSON" \
  -H "Authorization: Bearer <NANGO-API-KEY>" \
  -H "Provider-Config-Key: <INTEGRATION-ID>" \
  -H "Connection-Id: <CONNECTION-ID>" \
  -H "Content-Type: application/json" \
  -d '{
      "title": "Current Employees",
      "fields": [
          "id",
          "employeeNumber",
          "firstName",
          "lastName",
          "dateOfBirth",
          "address1",
          "bestEmail"
      ]
    }'

Or fetch credentials with the Node SDK or API.

✅ You're connected! Check the Logs tab in Tenklo to inspect requests.

Implement Tenklo in your app

Follow our Auth implementation guide to integrate Tenklo in your app.

To obtain your own production credentials, follow the setup guide linked below.

📚 BambooHR (OAuth) Integration Guides

Tenklo maintained guides for common use cases.

Official docs: BambooHR API docs

🧩 Pre-built syncs & actions for BambooHR (OAuth)

Explore Nango-provided actions in your dashboard. Extend and customize them to fit your needs.

Unified HRIS API

Function nameDescriptionTypeSource code
unified-employeesFetches employees from BambooHR and maps them to the standard HRIS employee model.Sync🔗 Github

Others

Function nameDescriptionTypeSource code
create-applicantCreate a new candidate application for a job opening in the BambooHR ATS.Action🔗 Github
create-employee-goalCreate a performance goal for an employee in BambooHR.Action🔗 Github
create-employee-table-rowCreate an employee table row in BambooHR.Action🔗 Github
create-employee-trainingCreate a training record for an employee in BambooHR.Action🔗 Github
create-employeeCreate an employee in BambooHRAction🔗 Github
create-time-off-requestCreate a time off request in BambooHR.Action🔗 Github
create-webhookCreate a webhook subscription in BambooHR.Action🔗 Github
delete-company-filePermanently delete a company file in BambooHR.Action🔗 Github
delete-employee-fileDelete a file from an employee record in BambooHR.Action🔗 Github
delete-employee-goalDelete a performance goal from an employee record in BambooHR.Action🔗 Github
delete-employee-table-rowDelete or archive an employee table row in BambooHR.Action🔗 Github
delete-employee-trainingDelete a training record from an employee in BambooHR.Action🔗 Github
delete-employeeDelete or archive an employee in BambooHR.Action🔗 Github
delete-time-off-requestDelete or archive a time off request in BambooHR by canceling it.Action🔗 Github
delete-time-tracking-entryDelete a time tracking entry for an employee in BambooHR.Action🔗 Github
delete-webhookDelete a webhook subscription in BambooHR.Action🔗 Github
get-applicantRetrieve a single applicant from the BambooHR ATS.Action🔗 Github
get-company-fileRetrieve a single company file from BambooHR.Action🔗 Github
get-company-reportRun a BambooHR custom company report.Action🔗 Github
get-employee-fileRetrieve a single file from an employee record in BambooHR.Action🔗 Github
get-employee-table-rowRetrieve a single employee table row from BambooHR.Action🔗 Github
get-employeeRetrieve a single employee from BambooHR.Action🔗 Github
get-saved-reportRun a saved BambooHR report by ID.Action🔗 Github
get-time-off-balanceRetrieve the time off balance for an employee in BambooHR.Action🔗 Github
get-time-off-requestRetrieve a single time off request from BambooHR.Action🔗 Github
get-userRetrieve a single BambooHR user account.Action🔗 Github
list-applicantsList applicants from the BambooHR ATS.Action🔗 Github
list-company-filesList company files from BambooHR.Action🔗 Github
list-departmentsList departments configured in BambooHR.Action🔗 Github
list-dataset-fieldsList available fields for a BambooHR v2 dataset (e.g. "employee"). Use this to discover valid field names before configuring the employees sync.Action🔗 Github
list-employee-fieldsList available BambooHR employee fields.Action🔗 Github
list-employee-filesList files attached to an employee record in BambooHR.Action🔗 Github
list-employee-goalsList performance goals for an employee in BambooHR.Action🔗 Github
list-employee-table-rowsList employee table rows from BambooHR.Action🔗 Github
list-employee-trainingList training records for an employee in BambooHR.Action🔗 Github
list-employeesList employees from BambooHR.Action🔗 Github
list-job-openingsList job openings from the BambooHR ATS.Action🔗 Github
list-job-titlesList job titles configured in BambooHR.Action🔗 Github
list-locationsList office locations configured in BambooHR.Action🔗 Github
list-time-off-requestsList time off requests from BambooHR.Action🔗 Github
list-time-off-typesList time off types configured in BambooHR.Action🔗 Github
list-time-tracking-entriesList time tracking entries for an employee in BambooHR.Action🔗 Github
list-training-typesList training types configured in BambooHR.Action🔗 Github
list-usersList BambooHR user accounts.Action🔗 Github
list-webhooksList webhook subscriptions in BambooHR.Action🔗 Github
update-employee-goalUpdate a performance goal for an employee in BambooHR.Action🔗 Github
update-employee-table-rowUpdate an employee table row in BambooHR.Action🔗 Github
update-employee-trainingUpdate a training record for an employee in BambooHR.Action🔗 Github
update-employeeUpdate an employee in BambooHR.Action🔗 Github
update-time-off-request-statusApprove, deny, or cancel a time off request in BambooHR.Action🔗 Github
applicantsSync applicants from the BambooHR ATS.Sync🔗 Github
company-filesSync company files from BambooHRSync🔗 Github
departmentsSync department list values from BambooHRSync🔗 Github
employee-filesSync employee file metadata from BambooHR.Sync🔗 Github
employee-table-rowsSync employee table rows from BambooHR.Sync🔗 Github
employeesSync employees from BambooHR using the v2 datasets API with incremental updates via lastChanged.Sync🔗 Github
goalsSync employee performance goals from BambooHRSync🔗 Github
job-openingsSync job openings from the BambooHR ATS.Sync🔗 Github
locationsSync office location list values from BambooHR.Sync🔗 Github
time-off-requestsSync time off requests from BambooHRSync🔗 Github
time-off-typesSync time off types configured in BambooHR.Sync🔗 Github
time-trackingSync time tracking entries from BambooHRSync🔗 Github
training-recordsSync employee training records from BambooHR.Sync🔗 Github
usersSync BambooHR user accounts.Sync🔗 Github

On this page